﻿using System;
using System.Windows.Data;
using Infragistics.Windows.DataPresenter;
using System.Windows;

namespace HierarchicalGrid.ViewModel
{
  public  class ChildRecordMargin : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var rec = value as Record;
            if (rec != null)
            {
                if (!(rec is HeaderRecord))
                {
                    return new Thickness((((int)rec.NestingDepth / 2) * -17), 0, 0, 0);
                }
                if (rec.RecordType == RecordType.HeaderRecord && (rec as HeaderRecord).AttachedToRecord != null)
                {
                    var nestingDepth = (rec as HeaderRecord).AttachedToRecord.NestingDepth;
                    if (nestingDepth > 0) return new Thickness((((int)nestingDepth / 2) * -17), 0, 0, 0);
                }
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
